Vanilla 1 is no longer supported or maintained. If you need a copy, you can get it here.
HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.
Options

Some trouble in Installing Vanilla ...

edited October 2007 in Vanilla 1.0 Help
Hello guys ... i Changed my server and download the new version of Vanilla 1.1.4 when i make the install ... it's show me after putting the info for Sql this Messege ================================================================================== We came across some problems while setting up Vanilla... We couldn't connect to the server you provided (localhost). The database responded with the following message: Client does not support authentication protocol requested by server; consider upgrading MySQL client ================================================================================== is there any problem in Mysql Server ?? or some CHMOD FILES ??? Cheers ! Feras.B

Comments

  • Options
    Your MySQL server seems ok, but your MySQL client (used by Vanilla to connect the MySQL server) can't connect because of different protocols used on both sides.
    You won't have to chmod files, but install a MySQL client that can speak to your MySQL server.
    Try upgrading your client to the same version than your server.
  • Options
    Thats my problem Grahack ... how can i Install MySQL client ?? Thanks a bunch . Feras.B
  • Options
    There was some problems with the first packages of Vanilla 1.1.4. Delete you vanilla folder, download the package again and reinstall vanilla.
  • Options
    i did ... i think the problem with mySQL client ! but i dont know how to install it .... waiting anyhelp .... Cheers ! Feras.B
  • Options
    what is your os and how did you installed php?
  • Options
    MY OS LINUX and use cPanel VPS my php is 4.4.7 Sql is 4.1.22-standard
  • Options
    Could you give us the output of mysql -V and mysqld -V to see which versions of client and server you have. The error message you posted is explained here, did you try one of their solutions?
  • Options
    [root@BOX ~]# mysql -V mysql Ver 14.7 Distrib 4.1.22, for pc-linux-gnu (i686) using readline 4.3 [root@BOX ~]# mysqld -V mysqld Ver 4.1.22-standard for pc-linux-gnu on i686 (MySQL Community Edition - Standard (GPL)) [root@BOX ~]# I DIDN'T TRY THAT SOLUTIONS BC AM NOT THAT GOOD IN mySQL .... THANKS FOR RESPONDING GRaHACK ...
  • Options
    OOPS, sorry, I'm not a PHP-MySQL deeps guru, I may have told you something wrong.
    In fact Vanilla doesn't use the MySQL client "mysql Ver 14.7 Distrib 4.1.22, for pc-linux-gnu (i686) using readline 4.3". I guess it rather uses the php module. Maybe you'll have to upgrade your php installation or your mysql module only.
    Sorry but I can't help you (tell you false things) more...
  • Options
    i did update mySQL and PHP !! and the same problem ! i think the mySQL User dont have a Permission to Connect to mySQL Database ... thats My problem !!! and Thanks for your Posting ... and if you can to help me in this Trouble i would like to ... Thanks a bunch ! Feras.B
  • Options
    I've had problems since Fedora Core 3 with SELinux interfering with PHP and MySQL. There could be something like that restricting the connections.
  • Options
    so how can i do with this problem ?
This discussion has been closed.